Bug 426260 - Write automated tests to validate that each generated HTML page pass HTML validation
Write automated tests to validate that each generated HTML page pass HTML val...
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
3.6
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 12:03 EST by David Lawrence
Modified: 2013-06-23 22:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 01:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2007-12-19 12:03:12 EST
Currently pages in in 2.18 Bugzilla fail pretty badly when passed to
validator.w3.org.

http://validator.w3.org/check?uri=http%3A%2F%2Fwww.ceplovi.cz%2Fmatej%2Ftmp%2Fbugzilla-example.html

The situation may be better with the move to 3.0 but it would be helpful
to have some way to generate
the most accessed pages and filter them to validator.w3.org and return
the results in an automated
fashion. Maybe Selenium or LWP::UserAgent. We can then proactively catch
any errors in any
new HTML that we generate when creating features, fixing bugs, etc.

Possibility:
check out pages 138-139 using Test::HTML::Tidy
Comment 1 David Lawrence 2010-01-15 12:33:21 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 2 David Lawrence 2010-08-25 17:41:43 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 4 Jeff Fearn 2012-05-30 00:41:03 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 5 Jeff Fearn 2012-07-19 01:28:17 EDT
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.

Note You need to log in before you can comment on or make changes to this bug.